%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

%global debug_package %{nil}

Name:             protostream
Version:          3.0.4
Release:          7%{dist}
Summary:          Infinispan ProtoStream
License:          ASL 2.0 and BSD
Url:              http://infinispan.org/
Source0:          https://github.com/infinispan/protostream/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(commons-cli:commons-cli)
BuildRequires:    mvn(com.google.protobuf:protobuf-java)
BuildRequires:    mvn(com.squareup:protoparser)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(net.jcip:jcip-annotations)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-surefire-report-plugin)
BuildRequires:    mvn(org.assertj:assertj-core)
BuildRequires:    mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:    mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires:    mvn(org.javassist:javassist)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires:    mvn(org.jboss.marshalling:jboss-marshalling-river)
BuildRequires:    protobuf-compiler

%description
The Infinispan ProtoStream project

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_xpath_set "pom:properties/pom:version.log4j" 12 parent
%pom_change_dep :log4j ::'${version.log4j}' core
%pom_remove_plugin -r :maven-source-plugin
# Break build, use system setting
%pom_remove_plugin -r :maven-compiler-plugin
# Disable system libraries copies
%pom_remove_plugin :maven-shade-plugin core
%pom_remove_plugin :maven-bundle-plugin core
%pom_xpath_set "pom:project/pom:packaging" bundle core
%pom_add_plugin org.apache.felix:maven-bundle-plugin core '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Export-Package>
      ${project.groupId}.sampledomain.*;version=${project.version};-split-package:=error
    </Export-Package>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%pom_change_dep org.easytesting:fest-assert-core org.assertj:assertj-core:2.0.0  core
find ./core -name "*.java" -exec sed -i "s/org.fest.assertions/org.assertj.core/g" {} +

# java.lang.ClassCastException: java.lang.Integer cannot be cast to java.lang.String
rm core/src/test/java/org/infinispan/protostream/impl/parser/impl/DescriptorsTest.java \
 core/src/test/java/org/infinispan/protostream/annotations/impl/ProtoSchemaBuilderTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE PROTOPARSER_LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE PROTOPARSER_LICENSE.txt

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 15 2016 gil cattaneo <puntogil@libero.it> 3.0.4-1
- update to 3.0.4.Final

* Sat Aug 08 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.8.Alpha7
- fix FTBFS rhbz#1239798
- fix BR list and use BR mvn()-like
- remove duplicate files
- fix some rpmlint problem
- introduce license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.7.Alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.6.Alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.5.Alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-0.4.Alpha7
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha7
- Disabled debuginfo package

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha7
- Initial packaging



